Skip to main content
GET
/
v4
/
knowledge_graph
/
neo4j
/
graph
/
Get Knowledge Graph
curl --request GET \
  --url https://rag-prod.studio.lyzr.ai/v4/knowledge_graph/neo4j/graph/ \
  --header 'x-api-key: <api-key>'
import requests

url = "https://rag-prod.studio.lyzr.ai/v4/knowledge_graph/neo4j/graph/"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://rag-prod.studio.lyzr.ai/v4/knowledge_graph/neo4j/graph/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "nodes": [
    {
      "id": "<string>",
      "label": "<string>",
      "properties": {}
    }
  ],
  "edges": [
    {
      "id": "<string>",
      "source": "<string>",
      "target": "<string>",
      "type": "<string>",
      "properties": {}
    }
  ],
  "metadata": {}
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
{
"detail": "Graph Visualization Error: '1223242' is not a valid ObjectId, it must be a 12-byte input or a 24-character hex string"
}

Authorizations

x-api-key
string
header
required

Query Parameters

rag_id
string
required

The unique identifier (ID) of the RAG system to retrieve the graph for.

Example:

"654c602a46c3b6d4e28741b0"

limit
integer
default:50

Maximum number of nodes to return to control the visualization size.

Required range: x >= 1

Response

Knowledge graph data successfully retrieved.

The data structure containing nodes and edges for graph visualization.

nodes
object[]
edges
object[]
metadata
object

Additional metadata about the graph (e.g., total count, query time).